
From: Valdis.Kletnieks@vt.edu

Nick wrote a nice as-iosched.txt file, but apparently nobody updated the
kernel-parameters.txt file...



 Documentation/kernel-parameters.txt |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN Documentation/kernel-parameters.txt~document-elevator-equals Documentation/kernel-parameters.txt
--- 25/Documentation/kernel-parameters.txt~document-elevator-equals	2003-11-15 23:04:28.000000000 -0800
+++ 25-akpm/Documentation/kernel-parameters.txt	2003-11-15 23:04:28.000000000 -0800
@@ -24,6 +24,7 @@ restrictions referred to are that the re
 	HW	Appropriate hardware is enabled.
 	IA-32	IA-32 aka i386 architecture is enabled.
 	IA-64	IA-64 architecture is enabled.
+	IOSCHED	More than one I/O scheduler is enabled.
 	IP_PNP	IP DCHP, BOOTP, or RARP is enabled.
 	ISAPNP	ISA PnP code is enabled.
 	ISDN	Appropriate ISDN support is enabled.
@@ -303,6 +304,10 @@ running once the system is up.
 			See comment before function elanfreq_setup() in
 			arch/i386/kernel/cpu/cpufreq/elanfreq.c.
 
+	elevator=	[IOSCHED]
+			Format: {"as"|"cfq"|"deadline"|"noop"}
+			See Documentation/as-iosched.txt for details
+
 	es1370=		[HW,OSS]
 			Format: <lineout>[,<micbias>]
 			See also header of sound/oss/es1370.c.

_
